#
# spec file for package ulp-macros
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ulp-macros
Version:        1.0
Release:        6.1
Summary:        Macros for enabling Userspace Live Patching into processes
URL:            https://github.com/SUSE/libpulp
License:        LGPL-2.1-or-later
Group:          Development
Source1:        ulp.macros
Source2:        LICENSE
BuildArch:      noarch

%description
This package contain macros for enabling Userspace Live Patching into packages

%prep

%build

%install
install -D -m 0644 %{S:1}   %{buildroot}%{_rpmmacrodir}/macros.ulp
install -D -m 0644 %{S:2}   %{buildroot}/usr/share/licenses/ulp-macros/LICENSE

%files
%{_rpmmacrodir}/macros.ulp
%license LICENSE

%check

%changelog
* Wed Apr  2 2025 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Update to comply with gcc-15.
* Mon Feb  3 2025 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Reduce prologue size on ppc64le (bsc#1236776).
* Fri Jan 17 2025 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Re-enable support for userspace livepatching in ppc64le (jsc#PED-11850).
* Wed Jan  8 2025 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Disable livepatching support on ppc64le while correct gcc-13 patches does not hit SP7.
* Fri Dec 20 2024 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Add license file.
* Wed Dec 18 2024 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Add macros for ppc64le.
* Mon Jul 22 2024 Giuliano Belinassi <giuliano.belinassi@suse.com>
- Fix FIXME and warnings.
* Wed Jun 14 2023 Giuliano Belinassi <giuliano.belinassi@suse.com>
- First release.
